[Risolto] Installazione aMule: non nei repository/dipendenze

Problemi con l'installazione di pacchetti

[Risolto] Installazione aMule: non nei repository/dipendenze

Messaggioda andreanistico » 23/02/2014, 15:24

Ciao a tutti!
Allora, ho appena installato Debian stable dalla versione .iso DVD-1 tramite penna USB. Ho provato subito ad installare aMule, ma ho un problema. Intanto, contrariamente a quanto ho visto in rete, non lo ho nei repository.
Scaricando il file .deb da un sito di debian, invece, Gdebi mi da errore, dicendo che la dipendenza "amule-common (=2.3.1-9)" non è soddisfabile.

Come posso installare aMule? grazie.
Ultima modifica di andreanistico il 24/02/2014, 10:15, modificato 1 volta in totale.
andreanistico
Newbie
Newbie
 
Messaggi: 35
Iscritto il: 20/04/2010, 13:19

Re: Installazione aMule: non nei repository/err dipendenze

Messaggioda marcomg » 23/02/2014, 16:59

amule è nei repository. Tu hai i repository correttamente configurati? Posta il risultato di cat /etc/apt/sources.list
Windows is what you open when you want fresh air from outside.
Avatar utente
marcomg
Hero Member
Hero Member
 
Messaggi: 5592
Iscritto il: 22/08/2011, 18:54

Re: Installazione aMule: non nei repository/err dipendenze

Messaggioda andreanistico » 23/02/2014, 18:38

Eccolo:
Codice: Seleziona tutto
andrea@andreadebian:~$ cat /etc/apt/sources.list
#

# deb cdrom:[Debian GNU/Linux 7.4.0 _Wheezy_ - Official amd64 DVD Binary-1 20140208-13:47]/ wheezy contrib main

# deb cdrom:[Debian GNU/Linux 7.4.0 _Wheezy_ - Official amd64 DVD Binary-1 20140208-13:47]/ wheezy contrib main

deb http://security.debian.org/ wheezy/updates main contrib
deb-src http://security.debian.org/ wheezy/updates main contrib
andreanistico
Newbie
Newbie
 
Messaggi: 35
Iscritto il: 20/04/2010, 13:19

Re: Installazione aMule: non nei repository/err dipendenze

Messaggioda marcomg » 23/02/2014, 20:17

Ti mancano i repository principali...
http://guide.debianizzati.org/index.php ... ian_Wheezy
Windows is what you open when you want fresh air from outside.
Avatar utente
marcomg
Hero Member
Hero Member
 
Messaggi: 5592
Iscritto il: 22/08/2011, 18:54

Re: Installazione aMule: non nei repository/err dipendenze

Messaggioda andreanistico » 23/02/2014, 20:34

Grazie! Ho aggiunto i repository, aggiornato, e installato aMule!

Ho fatto una piccola modifica ai codici trovati sulla tua guida: dove compariva "wheezy", ho scritto "stable", così da poter aggiornare i pacchetti quando uscità la prossima stable. Ho inserito quindi:

Codice: Seleziona tutto
## Debian Stable (Wheezy)
  deb http://ftp.it.debian.org/debian/ stable main
  #deb-src http://ftp.it.debian.org/debian/ stable main
 
  ## Aggiornamenti della sicurezza
  deb http://security.debian.org/ stable/updates main
  #deb-src http://security.debian.org/ stable/updates main

I codici sono giusti?
andreanistico
Newbie
Newbie
 
Messaggi: 35
Iscritto il: 20/04/2010, 13:19

Re: Installazione aMule: non nei repository/err dipendenze

Messaggioda mirko.pagliai » 24/02/2014, 9:20

"Repository", non codici :-) Comunque sì, corretto.
I repositori "deb-src" puoi eliminarli del tutto. Metti il tag [RISOLTO] al titolo del primo messaggio.
Prova SSMP: i tuoi file multimediali accessibili da tutti i tuoi dispositivi! [sito | topic sul forum]

www.mirkopagliai.it

Ubuntu è un'antica parola africana che significa "Non so installare Debian" (cit.)
Avatar utente
mirko.pagliai
Administrator
Administrator
 
Messaggi: 4102
Iscritto il: 15/03/2010, 23:46

Re: [Risolto] Installazione aMule: non nei repository/dipend

Messaggioda andreanistico » 24/02/2014, 10:16

Fatto, grazie ancora :)
andreanistico
Newbie
Newbie
 
Messaggi: 35
Iscritto il: 20/04/2010, 13:19


Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 5 ospiti